.TH "g4_get_freq_sn_from_attr" "3" "1" "Polhemus" "G4SrcCfgLib"
.SH "NAME"
\fBg4_get_freq_sn_from_attr\fR \- Extract Serial Number and Frequency from Polhemus G4 Source Calibration File *.g4s
.SH "SYNOPSIS"
#include "G4SrcCfgIncl.h"
.br 

int \fBg4_get_freq_sn_from_attr\fR(unsigned char* \fIattr\fR,char* \fIid\fR);
.SH "DESCRIPTION"
This function may be called to extract the serial number and the frequency of a particular source from the attribute data.  The attribute data for a source is the *.g4s file that is supplied with the source by Polhemus.
.SH "RETURN VALUES"
 A zero\-based index that maps to the source frequency.  0\->Freq A, 1\->Freq B, 2\->Freq C, etc...
.SH "PARAMETERS"
\fIattr\fR: The attribute string as read from the *.gs4 file.  Not the *.gs4 filename itself.
.br 

\fIid\fR:  A string to receive the serial number of the source.  This value may be NULL.
.SH "EXAMPLE"
#include "G4SrcCfgIncl.h"
.br 

int freq;
.br 
char serNo[20];
.br 
const char* attr_file="SomeAttrFile.g4s";
.br 
char attr_str[ATTR_LEN];
.br 

FILE* f=fopen(attr_file,"rb");
.br 
if (!f)
.br 
	return some_error;
.br 

int rv=fread(attr_str,ATTR_LEN,1,f);
.br 
fclose(f);
.br 

if (rv!=1)
.br 
	return another_error;
.br 

freq=g4_get_freq_sn_from_attr(attr_str,serNo);

.SH "AUTHOR"
James C. Farr <jimfarr@polhemus.com>
.SH "SEE ALSO"
\fBG4SrcCfgLib\fR(3), \fBG4_SRC_DATA_STRUCT\fR(3), \fBg4_create_source_cfg_file\fR(3), \fBg4_read_source_cfg_file\fR(3)
